Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interpreter

  The main REPL related classes and values are as follows.

  The main REPL related classes and values are as follows. In addition to standard compiler classes Global and Settings, there are:

  History: an interface for session history. Completion: an interface for tab completion. ILoop (formerly InterpreterLoop): The umbrella class for a session. IMain (formerly Interpreter): Handles the evolving state of the session and handles submitting code to the compiler and handling the output. InteractiveReader: how ILoop obtains input. History: an interface for session history. Completion: an interface for tab completion. Power: a repository for more advanced/experimental features.

  ILoop contains { in: InteractiveReader, intp: IMain, settings: Settings, power: Power } InteractiveReader contains { history: History, completion: Completion } IMain contains { global: Global }

  Definition Classes
    nsc
-  package session

  Files having to do with the state of a repl session: lines of text entered, types and terms defined, etc.

  Files having to do with the state of a repl session: lines of text entered, types and terms defined, etc.

  Definition Classes
    interpreter
- AbstractFileClassLoader
- AbstractOrMissingHandler
- CommandLine
- Completion
- Delimited
- EchoReader
- ExprTyper
- Formatting
- ILoop
- IMain
- IMainOps
- ISettings
- Imports
- InteractiveReader
- Javap
- JavapClass
- Logger
- LoopCommands
- MemberHandlers
- NamedParam
- NamedParamClass
- NamedParamCreator
- Naming
- NoCompletion
- NoJavap
- Parsed
- Pasted
- Phased
- Power
- PresentationCompilation
- PresentationCompilerCompleter
- ProcessResult
- ReplConfig
- ReplDir
- ReplGlobal
- ReplOutput
- ReplProps
- ReplReporter
- ReplStrings
- ReplVals
- Results
- RichClass
- Scripted
- SimpleReader
- SplashLoop
- SplashReader
- StdReplTags
- StdReplVals
- Tabulator
- TapMaker
- VariColumnTabulator
- WriterOutputStream

c

scala.tools.nsc.interpreter

# JavapClass 

###
Companion object JavapClass

#### class JavapClass extends Javap

Javap command implementation.

Source
  JavapClass.scala

Linear Supertypes
Javap, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. JavapClass
2. Javap
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new JavapClass(loader: ScalaClassLoader, printWriter: PrintWriter, intp: IMain)

### Type Members

1.  class JavapTool extends AnyRef

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from JavapClass to any2stringadd[JavapClass] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (JavapClass, B)
   Implicit
     This member is added by an implicit conversion from JavapClass to ArrowAssoc[JavapClass] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def apply(args: Seq[String]): List[JpResult]

   Run the tool.

   Run the tool. Option args start with "-", except that "-" itself denotes the last REPL result. The default options are "-protected -verbose". Byte data for filename args is retrieved with findBytes.

   returns

     results for invoking JpResult.show()

   Definition Classes
     JavapClass → Javap
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
9.  def ensuring(cond: (JavapClass) ⇒ Boolean, msg: ⇒ Any): JavapClass
   Implicit
     This member is added by an implicit conversion from JavapClass to Ensuring[JavapClass] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (JavapClass) ⇒ Boolean): JavapClass
    Implicit
      This member is added by an implicit conversion from JavapClass to Ensuring[JavapClass] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: ⇒ Any): JavapClass
    Implicit
      This member is added by an implicit conversion from JavapClass to Ensuring[JavapClass] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): JavapClass
    Implicit
      This member is added by an implicit conversion from JavapClass to Ensuring[JavapClass] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
15.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
16.  def findBytes(path: String): Array[Byte]
17.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from JavapClass to StringFormat[JavapClass] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
18.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  val loader: ScalaClassLoader
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
25.  val printWriter: PrintWriter
26.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
27.  def toString(): String
    Definition Classes
      AnyRef → Any
28.  lazy val tool: JavapTool
29.  def tryClass(path: String): Array[Byte]

    Assume the string is a fully qualified class name and try to find the class object it represents.

    Assume the string is a fully qualified class name and try to find the class object it represents. There are other symbols of interest, too:

    - a definition that is wrapped in an enclosing class
    - a synthetic that is not in scope but its associated class is
30.  def tryFile(path: String): Option[Array[Byte]]

    Assume the string is a path and try to find the classfile it represents.

31.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
32.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
33.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
34.  def →[B](y: B): (JavapClass, B)
    Implicit
      This member is added by an implicit conversion from JavapClass to ArrowAssoc[JavapClass] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc
35.  object JavapTool

### Inherited from Javap

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from JavapClass to any2stringadd[JavapClass]

### Inherited by implicit conversion StringFormat from JavapClass to StringFormat[JavapClass]

### Inherited by implicit conversion Ensuring from JavapClass to Ensuring[JavapClass]

### Inherited by implicit conversion ArrowAssoc from JavapClass to ArrowAssoc[JavapClass]

### Ungrouped